{
  /* 全局定义属性项 */
  "workbench.settings.applyToAllProfiles": [
    /* 窗口 */
    "window.menuBarVisibility",
    "window.commandCenter",
    "window.density.editorTabHeight",
    /* 编辑器 */
    "editor.defaultFormatter", //文件格式化
    "editor.fontFamily",
    "editor.renderControlCharacters",
    "editor.fontLigatures",
    "editor.suggestSelection",
    "editor.cursorSmoothCaretAnimation",
    "editor.cursorBlinking",
    "editor.smoothScrolling",
    "editor.linkedEditing",
    "editor.matchBrackets",
    "editor.minimap.enabled",
    "editor.fontSize",
    /* 工作台 */
    "workbench.colorTheme",
    "workbench.iconTheme",
    "workbench.editor.enablePreview",
    "workbench.enableExperiments",
    "workbench.editor.editorActionsLocation",
    "workbench.editor.tabSizing",
    "workbench.editorAssociations",
    /* 终端 */
    "terminal.integrated.cursorBlinking",
    "terminal.integrated.cursorStyle",
    "terminal.integrated.cursorWidth",
    "terminal.integrated.fontSize",
    /* 文件 */
    "files.eol",
    "explorer.confirmDelete",
    "material-icon-theme.hidesExplorerArrows",
    "material-icon-theme.activeIconPack",
    /* 其他 */
    "debug.console.fontSize",
    "security.workspace.trust.enabled",
    "extensions.ignoreRecommendations",
    "errorLens.enabledDiagnosticLevels",
    /* 全局自定义 */
  ],
  /* 窗口 */
  "window.menuBarVisibility": "visible", // 菜单栏显示
  "window.commandCenter": false, // 命令搜索框
  "window.density.editorTabHeight": "compact", // 编辑器标签高度
  /* 编辑器 */
  "editor.fontFamily": "'CaskaydiaCove Nerd Font', MiSans", // 字体
  "editor.renderControlCharacters": false, // 控制字符
  "editor.fontLigatures": true, // 字体连字
  "editor.suggestSelection": "first", // 自动补全
  "editor.cursorSmoothCaretAnimation": "on", // 光标动画
  "editor.cursorBlinking": "smooth", // 光标闪烁
  "editor.smoothScrolling": true, // 平滑滚动
  "editor.linkedEditing": true, // 链接编辑
  "editor.matchBrackets": "never", // 括号匹配
  "editor.minimap.enabled": false, // 文本缩略图
  "editor.fontSize": 12, // 字体大小
  /* 工作台 */
  "workbench.colorTheme": "Default Light Modern", // 主题
  "workbench.iconTheme": "material-icon-theme", // 文件图标主题
  "workbench.editor.enablePreview": false, // 预览
  "workbench.enableExperiments": false, // 实验
  "workbench.editor.editorActionsLocation": "default", // 编辑器操作位置
  "workbench.editor.tabSizing": "shrink", // 标签大小
  "workbench.editorAssociations": {
    "*.md": "vscode.markdown.preview.editor"
  }, // 文件关联
  /* 终端 */
  "terminal.integrated.cursorBlinking": true, // 光标闪烁
  "terminal.integrated.cursorStyle": "line", // 光标样式
  "terminal.integrated.cursorWidth": 2, // 光标宽度
  "terminal.integrated.fontSize": 12, // 字体大小
  /* 文件 */
  "files.eol": "\n", // 行尾
  "explorer.confirmDelete": false, // 文件删除确认
  "material-icon-theme.hidesExplorerArrows": true, // 隐藏文件夹箭头
  "material-icon-theme.activeIconPack": "react_redux", // 图标包
  /* 其他 */
  "debug.console.fontSize": 10, // 调试控制台字体大小
  "security.workspace.trust.enabled": false, // 信任工作区
  "extensions.ignoreRecommendations": true, // 忽略扩展推荐
  "errorLens.enabledDiagnosticLevels": ["error"], // 尾部提示信息类型

  /*----自定义---- */
  "breadcrumbs.enabled": false // 导航条
}
